from __future__ import print_function
from sys import stdin

def printf(str, *args):
    print(str % args, end = '')

for i in range(1, 2001):
    Per_num = 0             # 배수들의 합을 위한 변수
    j = 1                   # 배수를 위한 변수
    # 반복문으로 i에 대한 배수들의 합을 계산
    while j < i:
        if(i % j) == 0:
            Per_num += j
        j += 1
    # 계산된 합과 i값이 같으면 완전수라고 출력
    if Per_num == i:
        printf("%5d 는 완전수이다!\n" % i)

stdin.readline()
